## pixelmed 20150917

=== Makefile ===
all:	pixelmed.jar

PIXELMEDCODESIGNERKEYSTORE = "/Volumes/Access/Access/pixelmed_comodo_objectsigner.p12"
PIXELMEDCODESIGNERALIAS = "pixelmed publishing's the usertrust network id"
PIXELMEDCODESIGNEROPTIONS = -storetype pkcs12

TAR = gnutar
#TAR = tar
COMPRESS = bzip2
COMPRESSEXT = bz2

SUBDIRS = \
	com/pixelmed/dicom \
	com/pixelmed/geometry \
	com/pixelmed/validate \
	com/pixelmed/display \
	com/pixelmed/display/event \
	com/pixelmed/event \
	com/pixelmed/network \
	com/pixelmed/utils \
	com/pixelmed/database \
	com/pixelmed/query \
	com/pixelmed/scpecg \
	com/pixelmed/displaywave \
	com/pixelmed/web \
	com/pixelmed/server \
	com/pixelmed/transfermonitor \
	com/pixelmed/convert \
	com/pixelmed/apps \
	com/pixelmed/anatproc \
	com/pixelmed/dose \
	com/pixelmed/doseocr \
	com/pixelmed/test \
	com/pixelmed/ftp \
	apple/dts/samplecode/osxadapter
	

SUBPACKAGES = \
	com.pixelmed.dicom \
	com.pixelmed.geometry \
	com.pixelmed.validate \
	com.pixelmed.display \
	com.pixelmed.display.event \
	com.pixelmed.event \
	com.pixelmed.network \
	com.pixelmed.utils \
	com.pixelmed.database \
	com.pixelmed.query \
	com.pixelmed.scpecg \
	com.pixelmed.displaywave \
	com.pixelmed.web \
	com.pixelmed.server \
	com.pixelmed.transfermonitor \
	com.pixelmed.convert \
	com.pixelmed.apps \
	com.pixelmed.anatproc \
	com.pixelmed.dose \
	com.pixelmed.doseocr \
	com.pixelmed.test \
	com.pixelmed.ftp \
	apple.dts.samplecode.osxadapter

ADDITIONALFILES = \
	COPYRIGHT \
	DeidentifyAndRedact.bat \
	DeidentifyAndRedact.sh \
	DeidentifyAndRedactWithOriginalFileName.bat \
	DicomAttributeBrowser.sh \
	DicomBrowser.sh \
	DicomCleanerAssumingJREInstalled.bat \
	DicomCleanerWithOwnJRE.bat \
	DicomImageViewer.bat \
	DicomImageViewer.sh \
	DicomImageViewerWithCDJRE.bat \
	DicomImageViewerWithOwnJRE.bat \
	DicomInstanceValidator.sh \
	DicomSRValidator.sh \
	DoseUtilityAssumingJREInstalled.bat \
	DoseUtilityWithOwnJRE.bat \
	ECGViewer.bat \
	ECGViewer.sh \
	MoveDicomFilesIntoHierarchy.sh \
	NetworkMediaImporter.bat \
	NetworkMediaImporter.sh \
	StructuredReportBrowser.sh \
	StudyReceiver.bat \
	studyreceiver.properties \
	Makefile \
	Makefile.common.mk \
	README \
	sample.com.pixelmed.display.DicomImageViewer.properties

WEBSTARTIMAGEFILES = \
	webstart/images/DicomCleanerControlPanel.png \
	webstart/images/DicomCleanerCopyShortcut.png \
	webstart/images/DicomCleanerLocalConfiguration.png \
	webstart/images/DicomCleanerMainPanelAfterClean.png \
	webstart/images/DicomCleanerPasteShortcut.png \
	webstart/images/DicomCleanerRemoteConfiguration.png \
	webstart/images/DicomCleanerShowVersion.png \
	webstart/images/DicomImageBlackoutColorUltrasound.png \
	webstart/images/DicomImageBlackoutOverlayDose.png \
	webstart/images/DoseUtilityCopyShortcut.png \
	webstart/images/DoseUtilityDoseScreenImage.png \
	webstart/images/DoseUtilityDoseSRTree.png \
	webstart/images/DoseUtilityDoseSRValidation.png \
	webstart/images/DoseUtilityLocalConfiguration.png \
	webstart/images/DoseUtilityLocalFTPConfiguration.png \
	webstart/images/DoseUtilityLogOfReport.png \
	webstart/images/DoseUtilityMainPanel.png \
	webstart/images/DoseUtilityPasteShortcut.png \
	webstart/images/DoseUtilityRemoteConfiguration.png \
	webstart/images/DoseUtilityRemoteFTPConfiguration.png \
	webstart/images/PixelMedLogoAndTitle.gif \
	webstart/images/osi_standard_logo.png

WEBSTARTHTMLFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.html \
	webstart/DicomImageViewer.html \
	webstart/DicomImageViewerUsage.html \
	webstart/DicomImageBlackout.html \
	webstart/DicomCleaner.html \
	webstart/DicomCleanerUsage.html \
	webstart/DoseUtility.html \
	webstart/DoseUtilityUsage.html \
	webstart/MediaImporter.html \
	webstart/WatchFolderAndSend.html

WEBSTARTJNLPFILES = \
	webstart/ConvertAmicasJPEG2000FilesetToDicom.jnlp \
	webstart/DicomCleaner.jnlp \
	webstart/DicomImageBlackout.jnlp \
	webstart/DicomImageViewer.jnlp \
	webstart/DoseUtility.jnlp \
	webstart/MediaImporter.jnlp \
	webstart/WatchFolderAndSend.jnlp

ADDITIONALSOURCEFILES = \
	Doxyfile \
	icons/ConvertAmicasJPEG2000FilesetToDicom.icns \
	icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	icons/DicomCleaner.icns \
	icons/DicomCleaner.png \
	icons/DicomCleaner.ico \
	icons/DicomImageBlackout.icns \
	icons/DicomImageBlackout.png \
	icons/DicomImageBlackout.ico \
	icons/DicomImageViewer.icns \
	icons/DicomImageViewer.png \
	icons/DicomImageViewer.ico \
	icons/DoseUtility.icns \
	icons/DoseUtility.png \
	icons/DoseUtility.ico \
	icons/DownloadOrTransmit.icns \
	icons/DownloadOrTransmit.png \
	icons/DownloadOrTransmit.ico \
	icons/MediaImporter.icns \
	icons/MediaImporter.png \
	icons/MediaImporter.ico \
	icons/WatchFolderAndSend.icns \
	icons/WatchFolderAndSend.png \
	icons/WatchFolderAndSend.ico \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	webstart/Manifest.txt \
	com/pixelmed/doseocr/OCR_Glyphs_DoseScreen.xml

WEBSTARTJAIFILES = \
	webstart/jai-imageio/early-access/1.1/linux-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/linux-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-i586/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/jai_imageio.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis.so.jar \
	webstart/jai-imageio/early-access/1.1/solaris-sparc/libclib_jiio_vis2.so.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_sse2.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clib_jiio_util.dll.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/clibwrapper_jiio.jar \
	webstart/jai-imageio/early-access/1.1/windows-i586/jai_imageio.jar \

WEBSTARTFILES = \
	webstart/pixelmed.jar \
	webstart/pixelmed_codec.jar \
	webstart/commons-codec-1.3.jar \
	webstart/commons-net-ftp-2.0.jar \
	webstart/hsqldb.jar \
	webstart/jmdns.jar \
	webstart/commons-compress-1.9.jar \
	webstart/vecmath1.2-1.14.jar \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.png \
	webstart/icons/DicomCleaner.png \
	webstart/icons/DicomImageBlackout.png \
	webstart/icons/DicomImageViewer.png \
	webstart/icons/DoseUtility.png \
	webstart/icons/DownloadOrTransmit.png \
	webstart/icons/MediaImporter.png \
	webstart/icons/WatchFolderAndSend.png \
	webstart/icons/ConvertAmicasJPEG2000FilesetToDicom.ico \
	webstart/icons/DicomCleaner.ico \
	webstart/icons/DicomImageBlackout.ico \
	webstart/icons/DicomImageViewer.ico \
	webstart/icons/DoseUtility.ico \
	webstart/icons/DownloadOrTransmit.ico \
	webstart/icons/MediaImporter.ico \
	webstart/icons/WatchFolderAndSend.ico \
	webstart/sample.com.pixelmed.display.DicomImageViewer.properties \
	webstart/sample.com.pixelmed.display.DicomCleaner.properties \
	${WEBSTARTHTMLFILES} \
	${WEBSTARTJNLPFILES} \
	${WEBSTARTIMAGEFILES} \
	${WEBSTARTJAIFILES}

BINARYRELEASEFILES = \
	pixelmed.jar \
	BUILDDATE \
	${ADDITIONALFILES}

SOURCERELEASEFILES = \
	${ADDITIONALFILES} \
	${ADDITIONALSOURCEFILES} \
	${SUBDIRS}

DEPENDENCYRELEASEFILESWITHOUTREADME = \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-net-ftp-2.0.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	lib/additional/aiviewer.jar \
	lib/additional/javax.json-1.0.4.jar \
	lib/additional/javax.json-api-1.0.jar \
	lib/junit/junit-4.8.1.jar \
	LICENSES

DEPENDENCYRELEASEFILES = \
	${DEPENDENCYRELEASEFILESWITHOUTREADME} \
	README

DICOMCLEANERDEPENDENCYRELEASEFILES = \
	lib/additional/pixelmed_codec.jar \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

DOSEUTILITYDEPENDENCYRELEASEFILES = \
	lib/additional/commons-codec-1.3.jar \
	lib/additional/commons-net-ftp-2.0.jar \
	lib/additional/commons-compress-1.9.jar \
	lib/additional/hsqldb.jar \
	lib/additional/vecmath1.2-1.14.jar \
	lib/additional/jmdns.jar \
	LICENSES/hsqldb_lic.txt

WINDOWSJIIORELEASEFILES = \
	windows/lib/clib_jiio.dll \
	windows/lib/clib_jiio_sse2.dll \
	windows/lib/clib_jiio_util.dll \
	windows/lib/clibwrapper_jiio.jar \
	windows/lib/jai_imageio.jar \
	LICENSES/LICENSE-jai_imageio.txt \
	LICENSES/THIRD-PARTY-LICENSE-README-jai_imageio.txt

JAVADOCRELEASEFILES = \
	${JAVADOCFILES}


DOXYGENRELEASEFILES = \
	${DOXYGENFILES}

JAVADOCFILES = \
	docs/javadoc

DOXYGENFILES = \
        docs/doxygen

OTHERDOCRELEASEFILES = \
	docs/DicomImageViewer/Conformance.pdf \
	docs/DicomImageViewer/ReleaseNotes.pdf \
	docs/DicomImageViewer/UserManual.pdf \
	docs/ECGViewer/ReleaseNotes.pdf

MACAPPS = \
	DicomImageViewer_app \
	DicomCleaner_app \
	DoseUtility_app \
	ECGViewer_app

MACAPPRELEASEFILES = \
	DicomImageViewer.app/Contents/Info.plist \
	DicomImageViewer.app/Contents/MacOS/JavaAppLauncher \
	DicomImageViewer.app/Contents/PkgInfo \
	DicomImageViewer.app/Contents/Resources/DicomImageViewer.icns \
	DicomImageViewer.app/Contents/Java/pixelmed.jar \
	DicomImageViewer.app/Contents/Java/hsqldb.jar \
	DicomImageViewer.app/Contents/Java/commons-compress-1.9.jar \
	DicomImageViewer.app/Contents/Java/vecmath1.2-1.14.jar \
	DicomImageViewer.app/Contents/Java/commons-codec-1.3.jar \
	DicomImageViewer.app/Contents/Java/jai_imageio.jar \
	DicomImageViewer.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Info.plist \
	DicomCleaner.app/Contents/MacOS/JavaAppLauncher \
	DicomCleaner.app/Contents/PkgInfo \
	DicomCleaner.app/Contents/Resources/DicomCleaner.icns \
	DicomCleaner.app/Contents/Java/commons-codec-1.3.jar \
	DicomCleaner.app/Contents/Java/commons-compress-1.9.jar \
	DicomCleaner.app/Contents/Java/hsqldb.jar \
	DicomCleaner.app/Contents/Java/jmdns.jar \
	DicomCleaner.app/Contents/Java/pixelmed.jar \
	DoseUtility.app/Contents/Info.plist \
	DoseUtility.app/Contents/MacOS/JavaAppLauncher \
	DoseUtility.app/Contents/PkgInfo \
	DoseUtility.app/Contents/Resources/DoseUtility.icns \
	DoseUtility.app/Contents/Java/pixelmed.jar \
	DoseUtility.app/Contents/Java/hsqldb.jar \
	DoseUtility.app/Contents/Java/commons-compress-1.9.jar \
	DoseUtility.app/Contents/Java/commons-codec-1.3.jar \
	DoseUtility.app/Contents/Java/commons-net-ftp-2.0.jar \
	DoseUtility.app/Contents/Java/jmdns.jar \
	DoseUtility.app/Contents/Java/jai_imageio.jar

MACAPPECGRELEASEFILES = \
	ECGViewer.app/Contents/Info.plist \
	ECGViewer.app/Contents/MacOS/JavaAppLauncher \
	ECGViewer.app/Contents/PkgInfo \
	ECGViewer.app/Contents/Resources/GenericJavaApp.icns \
	ECGViewer.app/Contents/Java/pixelmed.jar \
	ECGViewer.app/Contents/Java/commons-codec-1.3.jar

TESTSCPECGRESULTFILES = \
	testresults/scpecg

include Makefile.common.mk

pixelmed.jar:
	(cd com/pixelmed/utils; make all)
	(cd com/pixelmed/dicom; make all)
	(cd com/pixelmed/geometry; make all)
	(cd com/pixelmed/validate; make all)
	(cd com/pixelmed/network; make all)
	(cd com/pixelmed/database; make all)
	(cd com/pixelmed/query; make all)
	(cd com/pixelmed/event; make all)
	(cd com/pixelmed/display/event; make all)
	(cd com/pixelmed/display; make all)
	(cd com/pixelmed/scpecg; make all)
	(cd com/pixelmed/displaywave; make all)
	(cd com/pixelmed/web; make all)
	(cd com/pixelmed/server; make all)
	(cd com/pixelmed/transfermonitor; make all)
	(cd com/pixelmed/convert; make all)
	(cd com/pixelmed/anatproc; make all)
	(cd com/pixelmed/dose; make all)
	(cd com/pixelmed/doseocr; make all)
	(cd com/pixelmed/ftp; make all)
	(cd com/pixelmed/apps; make all)
	(cd com/pixelmed/test; make all)
	date >BUILDDATE

=== pixelmed/convert/Makefile ===
OBJS = \
	AnalyzeToDicom.class \
	AnalyzeHeader.class \
	AnalyzeException.class \
	CommonConvertedAttributeGeneration.class \
	ConvertAmicasJPEG2000FilesetToDicom.class \
	NIfTI1ToDicom.class \
	NIfTI1Header.class \
	NIfTI1Exception.class \
	NRRDToDicom.class \
	NRRDHeader.class \
	NRRDException.class \
	RawRGBInformation.class \
	RawRGBToDicomMultiFrame.class \
	UnencapsulateCompressedPixelData.class \
	EncapsulateCompressedPixelData.class \
	IndexedLabelMapToSegmentation.class

all:	${OBJS}

PATHTOROOT = ../../..

include ${PATHTOROOT}/Makefile.common.mk

testamicas:	ConvertAmicasJPEG2000FilesetToDicom.class
	mkdir -p /tmp/todicomMR1
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "${PATHTOHOME}/Pictures/Medical/AmicasJ2K/ELMR20030206" /tmp/todicomMR1
	mkdir -p /tmp/todicomCT1
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "${PATHTOHOME}/Pictures/Medical/AmicasJ2K/CD0105153529" /tmp/todicomCT1
	mkdir -p /tmp/todicomCT2
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom "${PATHTOHOME}/Pictures/Medical/AmicasJ2K/CD0114154520" /tmp/todicomCT2

testamicasdialog:	ConvertAmicasJPEG2000FilesetToDicom.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jai_imageio.jar com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom


testanalyzeheader:	AnalyzeHeader.class AnalyzeException.class
	java -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeHeader \
		"/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.hdr"
		#"$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Analyze/Analyze75/MT_H13885_4.hdr"

testanalyzeconvert:	AnalyzeToDicom.class AnalyzeHeader.class AnalyzeException.class
	rm -f /tmp/avg152T1_LR-marked.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeToDicom \
		"/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.hdr" \
		"/tmp/avg152T1_LR-marked.dcm" \
		"H13885" H13885_9M "" 40001 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" "/tmp/avg152T1_LR-marked.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm" "/tmp/avg152T1_LR-marked.dcm"; \
		echo "Finished comparing"; \
	fi

testanalyzemtmouse:	AnalyzeToDicom.class AnalyzeHeader.class AnalyzeException.class
	rm -f /tmp/MT_H13885_4.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.AnalyzeToDicom \
		"$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Analyze/Analyze75/MT_H13885_4.hdr" \
		"/tmp/MT_H13885_4.dcm" \
		"H13885" H13885_9M "" 40001 1 MR
	if [ -f "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" "/tmp/MT_H13885_4.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG30/Mayo/MR/KlineErickson_MTexample_05192015/Bruker/DICOM/EnhancedMR/H13885_9M_H13885_PKD__E4_P1/EnIm1.dcm" "/tmp/MT_H13885_4.dcm"; \
		echo "Finished comparing"; \
	fi

testanalyzecompare:	testanalyzeconvert

testanalyzecreate:
	rm -f "/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm"
	make testanalyzecompare
	cp /tmp/avg152T1_LR-marked.dcm "/Volumes/My Book/Pictures/Medical/Analyze/avg152T1_LR-marked/avg152T1_LR-marked.dcm"


testnifti1header:	NIfTI1Header.class NIfTI1Exception.class
	java -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1Header \
		"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/GE_Normalized_Boxerman_rBFMap_LeakageCorrected.nii"
		#"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/dti_adc.nii"

testnifti1convert:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f /tmp/testnifti1fp.dcm
	rm -f /tmp/testnifti1fp_scaledtoint.dcm
	rm -f /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"$${HOME}/Pictures/Medical/ParametricMaps/DICOM_FP/DICOM_FP/GE_Normalized_Boxerman_rBFMap_LeakageCorrected.nii" \
		/tmp/testnifti1fp.dcm \
		"Doe^Jane" 1234 5678 100 1
	java -Xmx512m -cp .:${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.apps.IntegerScalingOfFloatingPointPixelData \
		/tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtoint.dcm
	java -Xmx512m -cp .:${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.apps.IntegerScalingOfFloatingPointPixelData \
		toFLOAT /tmp/testnifti1fp_scaledtoint.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	andump /tmp/testnifti1fp.dcm
	#dciodvfy /tmp/testnifti1fp.dcm
	andump /tmp/testnifti1fp_scaledtoint.dcm
	dciodvfy /tmp/testnifti1fp_scaledtoint.dcm
	#dchist -h /tmp/testnifti1fp_scaledtoint.dcm
	#andiff /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtoint.dcm
	@echo "Checking round trip to int and back to float ..."
	#dccmp /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm
	andiff /tmp/testnifti1fp.dcm /tmp/testnifti1fp_scaledtointthenmadefloatagain.dcm

testnifti1talairach:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.nii" \
		"$${HOME}/Documents/Medical/stuff/Atlases/Talairach/talairach.dcm" \
		"Talairach" 1234 5678 100 1 MR

testnifti1dti:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f /tmp/dti20.dcm
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/dcm2nii_TestDataSets/dti20/dti20.nii" \
		"/tmp/dti20.dcm" \
		"DTI" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" "/tmp/dti20.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/dcm2nii_TestDataSets/dti20.dcm" "/tmp/dti20.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1test4d1:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/filtered_func_data.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.nii" \
		"/tmp/filtered_func_data.dcm" \
		"4D" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" "/tmp/filtered_func_data.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/filtered_func_data.dcm" "/tmp/filtered_func_data.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testLR:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_LR_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.nii" \
		"/tmp/avg152T1_LR_nifti.dcm" \
		"LR" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testLR_hdr:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_LR_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.hdr" \
		"/tmp/avg152T1_LR_nifti.dcm" \
		"LR" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_LR_nifti.dcm" "/tmp/avg152T1_LR_nifti.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testRL:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/avg152T1_RL_nifti.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_RL_nifti.nii" \
		"/tmp/avg152T1_RL_nifti.dcm" \
		"RL" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_RL_nifti.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_RL_nifti.dcm" "/tmp/avg152T1_RL_nifti.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/avg152T1_RL_nifti.dcm" "/tmp/avg152T1_RL_nifti.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testZ:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/zstat1.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/zstat1.nii" \
		"/tmp/zstat1.dcm" \
		"RL" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/zstat1.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/zstat1.dcm" "/tmp/zstat1.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/zstat1.dcm" "/tmp/zstat1.dcm"; \
		echo "Finished comparing"; \
	fi

testnifti1testfunc:	NIfTI1ToDicom.class NIfTI1Header.class NIfTI1Exception.class
	rm -f "/tmp/newsirp_final_XML.dcm"
	java -Xmx512m -cp ${PATHTOROOT} -Djava.awt.headless=true \
		com.pixelmed.convert.NIfTI1ToDicom \
		"/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/sirp_fmri_study_ver4/newsirp_final_XML.nii" \
		"/tmp/newsirp_final_XML.dcm" \
		"RL" 1234 5678 100 1 MR
	if [ -f "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/sirp_fmri_study_ver4/newsirp_final_XML.dcm" ]; \
	then \
		echo "Comparing header ..."; \
		dcdiff "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/sirp_fmri_study_ver4/newsirp_final_XML.dcm" "/tmp/newsirp_final_XML.dcm"; \
		echo "Comparing pixel data ..."; \
		dccmp "/Volumes/My Book/Pictures/Medical/NIfTI/NIfTI-1_TestDataSets/sirp_fmri_study_ver4/newsirp_final_XML.dcm" "/tmp/newsirp_final_XML.dcm"; \
		echo "Finished comparing"; \
	fi

=== pixelmed/dicom/Makefile ===
OBJS = AgeStringAttribute.class \
ApplicationEntityAttribute.class \
ArrayCopyUtilities.class \
AsynchronousOutputStream.class \
Attribute.class \
AttributeFactory.class \
AttributeList.class \
AttributeListTableBrowser.class \
AttributeListTableModel.class \
AttributeListFunctionalGroupsTableModel.class \
AttributeListFunctionalGroupsTableModelOneFrame.class \
AttributeListFunctionalGroupsTableModelAllFrames.class \
AttributeTag.class \
AttributeTagAttribute.class \
AttributeTest.class \
AttributeTree.class \
AttributeTreeBrowser.class \
AttributeTreeRecord.class \
BinaryInputStream.class \
BinaryOutputStream.class \
ClinicalTrialsAttributes.class \
CodedSequenceItem.class \
CodeStringAttribute.class \
CodingSchemeIdentification.class \
CodingSchemeIdentificationItem.class \
CoercionModel.class \
ColorPalette.class \
ColorPaletteHotIron.class \
ColorPaletteHotMetalBlue.class \
ColorPalettePET.class \
ColorPalettePET20Step.class \
CompositeInstanceContext.class \
CompressedFrameDecoder.class \
ContentItem.class \
ContentItemFactory.class \
CrossSectionalImageLibrary.class \
DateAttribute.class \
DateTimeAttribute.class \
DecimalStringAttribute.class \
DescriptionFactory.class \
DicomDictionary.class \
DicomDictionaryBase.class \
DicomDirectory.class \
DicomDirectoryBrowser.class \
DicomDirectoryRecord.class \
DicomDirectoryRecordFactory.class \
DicomDirectoryRecordType.class \
DicomException.class \
DicomFileUtilities.class \
DicomInputStream.class \
DicomOutputStream.class \
DicomStreamCopier.class \
DisplayShutter.class \
EncapsulatedInputStream.class \
FileMetaInformation.class \
FloatDoubleAttribute.class \
FloatSingleAttribute.class \
FrameSet.class \
FunctionalGroupUtilities.class \
GeometryOfSliceFromAttributeList.class \
GeometryOfVolumeFromAttributeList.class \
HierarchicalImageReference.class \
HierarchicalSOPInstanceReference.class \
ImageLibrary.class \
ImageReference.class \
ImageToDicom.class \
InformationEntity.class \
IntegerStringAttribute.class \
LongStringAttribute.class \
LongTextAttribute.class \
LossyImageCompression.class \
MediaImporter.class \
ModalityTransform.class \
MoveDicomFilesIntoHierarchy.class \
MultiFrameImageFactory.class \
MultiFramePixelData.class \
NullOutputStream.class \
OtherAttributeOnDisk.class \
OtherByteAttribute.class \
OtherByteAttributeMultipleCompressedFilesOnDisk.class \
OtherByteAttributeMultipleCompressedFrames.class \
OtherByteAttributeMultipleFilesOnDisk.class \
OtherByteAttributeMultipleFrameArrays.class \
OtherByteAttributeOnDisk.class \
OtherDoubleAttribute.class \
OtherFloatAttribute.class \
OtherWordAttribute.class \
OtherWordAttributeOnDisk.class \
Overlay.class \
PDFToDicomImage.class \
PersonIdentification.class \
PersonNameAttribute.class \
PixelSpacing.class \
PrivatePixelData.class \
ProjectionXRayImageLibrary.class \
RealWorldValueTransform.class \
SequenceAttribute.class \
SequenceItem.class \
SetOfDicomFiles.class \
SetOfFrameSets.class \
ShortStringAttribute.class \
ShortTextAttribute.class \
SignedLongAttribute.class \
SignedShortAttribute.class \
SOPClass.class \
SOPClassDescriptions.class \
SOPInstanceReference.class \
SpatialCoordinateAndImageReference.class \
SpecificCharacterSet.class \
SpectroscopyVolumeLocalization.class \
StackOfSlices.class \
StandaloneAttributeTreeBrowser.class \
StoredFilePathStrategyHashSubFolders.class \
StoredFilePathStrategySingleFolder.class \
StoredFilePathStrategyComponentFolders.class \
StoredFilePathStrategy.class \
StringAttribute.class \
StringAttributeAffectedBySpecificCharacterSet.class \
StructuredReport.class \
StructuredReportBrowser.class \
StructuredReportTreeBrowser.class \
SUVTransform.class \
TagFromName.class \
TextAttribute.class \
TimeAttribute.class \
TransferSyntax.class \
TransferSyntaxFromName.class \
UIDGenerator.class \
UniqueIdentifierAttribute.class \
UniversalResourceAttribute.class \
UnknownAttribute.class \
UnlimitedCharactersAttribute.class \
UnlimitedTextAttribute.class \
UniversalResourceAttribute.class \
UnPackBits.class \
UnsignedLongAttribute.class \
UnsignedShortAttribute.class \
ValueRepresentation.class \
VersionAndConstants.class \
Veterinary.class \
VOITransform.class \
XMLRepresentationOfDicomObjectFactory.class \
XMLRepresentationOfStructuredReportObjectFactory.class

all:	${OBJS}

PATHTOROOT = ../../..

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak \
		/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm \
		/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm \
		/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm \
		/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm \
		/tmp/testDicomFile_NOM_IVRLE_12.dcm \
		/tmp/testDicomFile_NOM_EVRLE_12.dcm \
		/tmp/testsr1.dcm \
		/tmp/testfl1.dcm \
		/tmp/testfl2.dcm

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/dicom.`date '+%Y%m%d'`.tar.gz

createAttributeClasses:
	./createAttributeClasses.sh

test:	testBinaryInputStream testAttributeList_read testAttributeList_readseq


testBinaryInputStream:	BinaryInputStream.class
	touch /tmp/testBinaryInputStream
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.BinaryInputStream /tmp/testBinaryInputStream
	rm -f /tmp/testBinaryInputStream

/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm

/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm -endian little -vr implicit

/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr explicit

/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr implicit

/tmp/testDicomFile_NOM_IVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_NOM_IVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr implicit -nometa

/tmp/testDicomFile_NOM_EVRLE_12.dcm:
	dcsmpte /tmp/testDicomFile_NOM_EVRLE_12.dcm -bits 12 -minval 0 -maxval 4095 -endian little -vr explicit -nometa

testAttributeList_read:		AttributeList.class \
				/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm \
				/tmp/testDicomFile_MEVRLE_IVRLE_8.dcm \
				/tmp/testDicomFile_MEVRLE_EVRLE_12.dcm \
				/tmp/testDicomFile_MEVRLE_IVRLE_12.dcm \
				/tmp/testDicomFile_NOM_IVRLE_12.dcm \
				/tmp/testDicomFile_NOM_EVRLE_12.dcm
	@echo "############# testDicomFile_MEVRLE_EVRLE_8"
	dcfile /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm /tmp/crap
	exit 0
	@echo "############# testDicomFile_MEVRLE_IVRLE_8"
	dcfile /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_IVRLE_8.dcm /tmp/crap
	@echo "############# testDicomFile_MEVRLE_EVRLE_12"
	dcfile /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_EVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_MEVRLE_IVRLE_12"
	dcfile /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_MEVRLE_IVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_NOM_IVRLE_12"
	dcfile /tmp/testDicomFile_NOM_IVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_NOM_IVRLE_12.dcm /tmp/crap
	@echo "############# testDicomFile_NOM_EVRLE_12"
	dcfile /tmp/testDicomFile_NOM_EVRLE_12.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap
	dcdiff /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap
	dccmp /tmp/testDicomFile_NOM_EVRLE_12.dcm /tmp/crap

testAttributeList_readseq:	AttributeList.class \
				${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList ${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap TEST
	@echo "comparing what was read with written"
	ls -l ${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap
	dcdiff ${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap
	dccmp ${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR /tmp/crap

testattribute:	AttributeTest.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeTest

testattributetag:	AttributeTag.class
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeTag

testDICOMDIR:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class \
				${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser ${PATHTOHOME}/Work/dctool.support/images/dicom/forjpeg2000/discimg/DICOMDIR


testDICOMDIR2:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class \
				${PATHTOHOME}/Work/dctool.support/images/dicom/ge/opal/dd_opal
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser ${PATHTOHOME}/Work/dctool.support/images/dicom/ge/opal/dd_opal

testDICOMDIR3:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class \
				${PATHTOHOME}/Work/dctool.support/images/dicom/dicomdirs/dicomdir.carestreammissingimagelowerleveloffset
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser ${PATHTOHOME}/Work/dctool.support/images/dicom/dicomdirs/dicomdir.carestreammissingimagelowerleveloffset

/tmp/testDICOMDIR4.tmp:	/tmp/testDicomFile_MEVRLE_EVRLE_8.dcm
	dcdirmk -novalidatename -noicons -noinstancechildoffset -of $@ /tmp/testDicomFile_MEVRLE_EVRLE_8.dcm

testDICOMDIR4:	DicomDirectory.class DicomDirectoryRecord.class DicomDirectoryRecordFactory.class DicomDirectoryBrowser.class \
				/tmp/testDICOMDIR4.tmp
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.DicomDirectoryBrowser /tmp/testDICOMDIR4.tmp

/tmp/testfl1.dcm:	${PATHTOHOME}/Work/dctool.support/images/dicom/rsna99.image.19991117/tests/test513.pres
	dccp $< $@

testfl1:	AttributeList.class /tmp/testfl1.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testfl1.dcm "" TEST

/tmp/testfl2.dcm:	${PATHTOHOME}/Work/dctool.support/images/dicom/rsna99.image.19991117/tests/test515.pres
	dccp $< $@

testfl2:	AttributeList.class /tmp/testfl2.dcm
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} com.pixelmed.dicom.AttributeList /tmp/testfl2.dcm "" TEST

=== pixelmed/display/Makefile ===
PATHTOROOT = ../../..

OBJS =	TestApp.class \
	TestAppMultiFile.class \
	TestAppMultiFrame.class \
	TestAppMultiFrameStackMode.class \
	TestAppMultiFrameCompare.class \
	DicomBrowser.class \
	ApplicationFrame.class \
	SingleImagePanel.class \
	SingleImagePanelWithRegionDetection.class \
	SingleImagePanelWithRegionDrawing.class \
	SingleImagePanelWithLineDrawing.class \
	SourceImage.class \
	SourceImageSubset.class \
	SourceImageSortOrderPanel.class \
	SourceImageVOILUTSelectorPanel.class \
	SourceImageWindowLinearCalculationSelectorPanel.class \
	SourceImageWindowingAccelerationSelectorPanel.class \
	SourceInstanceSortOrderPanel.class \
	SourceSpectra.class \
	SourceSpectrumSortOrderPanel.class \
	SpectraPanel.class \
	DisplayDicomDirectoryBrowser.class \
	DisplayStructuredReportBrowser.class \
	TextAnnotation.class \
	TextAnnotationPositioned.class \
	DicomImageViewer.class \
	PlotGraph.class \
	StatusBarManager.class \
	WindowCenterAndWidth.class \
	DemographicAndTechniqueAnnotations.class \
	OrientationAnnotations.class \
	ConsumerFormatImageMaker.class \
	BufferedImageUtilities.class \
	LocalizerManager.class \
	ImageLocalizerManager.class \
	SpectroscopyLocalizerManager.class \
	MammoImageViewer.class \
	MammoDemographicAndTechniqueAnnotations.class \
	ChestImageViewer.class \
	DisplayDeviceArea.class \
	DisplayedAreaSelection.class \
	ImageEditUtilities.class \
	DicomImageBlackout.class \
	DescribeGraphicsEnvironment.class \
	DialogMessageLogger.class \
	DrawingUtilities.class \
	DicomCleaner.class \
	IconListBrowser.class \
	IconDemographicAndTechniqueAnnotations.class \
	SourceImageShutterSelectorPanel.class \
	SuperimposedImage.class \
	SuperimposedDicomImage.class \
	SuperimposedDicomSegments.class \
	SafeFileChooser.class \
	SafeProgressBarUpdaterThread.class \
	SafeCursorChanger.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add codec to classpath, until folded into main trunk :(
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v 1.7 | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${DISPLAYADDITIONALJARS}:${JPEGBLOCKREDACTIONJAR} \
		-sourcepath ${PATHTOROOT} $<

TEST_512_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MR1
TEST_512_16RAW = /tmp/crap.512.16.raw
TEST_512_16JPG = /tmp/crap.512.16.jpg
TEST_512_16BMP = /tmp/crap.512.16.bmp
TEST_512_16J2K = /tmp/crap.512.16.j2k
TEST_512_16GIF = /tmp/crap.512.16.gif
TEST_512_16PNG = /tmp/crap.512.16.png
TEST_512_16TIF = /tmp/crap.512.16.tif
TEST_512_16PNM = /tmp/crap.512.16.pnm

TEST_BIG_16DCM = ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/MG1
TEST_BIG_16RAW = /tmp/crap.big.16.raw

TEST_512_8DCM = /tmp/crap.512.8.dcm
TEST_512_8RAW = /tmp/crap.512.8.raw
TEST_512_8JPG = /tmp/crap.512.8.jpg

TEST_RGB_DCM = /tmp/crap.rgb.dcm
TEST_RGB_JPG = /tmp/crap.rgb.jpg

clean:
	rm -f *~ *.class core *.bak \
		${TEST_512_8DCM} \
		${TEST_512_16RAW} ${TEST_BIG_16RAW} ${TEST_512_8RAW} \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr \
		${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/display.`date '+%Y%m%d'`.tar.gz

test_512_8d1:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 1 1

test_512_8d:	TestApp.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8DCM} 4 2

test_512_8r1:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 1 1

test_512_8r:	TestApp.class ${TEST_512_8RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_8RAW} 512 512 8 2 6

${TEST_512_8DCM}:
	dcsmpte > $@

${TEST_512_8RAW}:	${TEST_512_8DCM}
	dctoraw $? $@

test_512_16d1:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 1 1

test_512_16d:	TestApp.class ${TEST_512_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16DCM} 2 6

test_512_16:	TestApp.class ${TEST_512_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_512_16RAW} 512 512 16 2 6

${TEST_512_16RAW}:	${TEST_512_16DCM}
	dctoraw $? $@

test_big_16d:	TestApp.class ${TEST_BIG_16DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16DCM} 1 1

test_big_16:	TestApp.class ${TEST_BIG_16RAW}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.TestApp ${TEST_BIG_16RAW} 3064 4664 16 1 1

${TEST_BIG_16RAW}:	${TEST_BIG_16DCM}
	dctoraw $? $@

test_512_8_single:	SingleImagePanel.class ${TEST_512_8DCM}
	java -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.SingleImagePanel ${TEST_512_8DCM}


testbrowser:	DicomBrowser.class
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser

testdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/forjpeg2000/discimg/DICOMDIR

testcddir:	DicomBrowser.class \
				/mnt/cdrom/dicomdir
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser /mnt/cdrom/dicomdir

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm:	${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.source
	ancreate < $< > $@.tmp
	dccp $@.tmp $@ -stamp 9999
	rm -f $@.tmp

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr:
	dcsmpte > $@ -r PatientName "Homer^Jane^^^" -r PatientID 234567 \
		-r StudyID 345678 -r StudyDate 19991029 \
		-r StudyTime 154500 -r SeriesNumber 2 -r InstanceNumber 1 \
		-r StudyInstanceUID 1.2.3.4.5.6.7.100 \
		-r SeriesInstanceUID 1.2.3.4.5.6.7.400 \
		-r SOPInstanceUID 1.3.6.1.4.1.5962.1.1.17998.2.1.1001278501.11736.8323328 \
		-r AccessionNumber 123456 \
		-stamp 9999

${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR:	\
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/testscoord.dcm \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/imgforsr
	(cd ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests; dcdirmk -novalidatename testscoord.dcm imgforsr >DICOMDIR)

testsrdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/mytests/DICOMDIR

testosdir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work/DICOMDIR

testos2dir:	DicomBrowser.class \
				${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS}  com.pixelmed.display.DicomBrowser ${PATHTODCTOOLSUPPORT}/images/dicom/sr/osiris_work2/DICOMDIR

#${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties:	${PATHTOROOT}/our.com.pixelmed.display.DicomImageViewer.properties
#	cp ${PATHTOROOT}/our.com.pixelmed.display.DicomImageViewer.properties ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties

testnemamfmr:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfmr/DISCIMG/DICOMDIR

testnemamfmr.clean:
	rm -rf ${PATHTOHOME}/.com.pixelmed.display.*

testnemamfct:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx1024m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOROOT}/../../nemamfct/DISCIMG/DICOMDIR

testnemamfct.clean:
	rm -rf ${PATHTOHOME}/.com.pixelmed.display.*

testplotgraph:
	rm -f ~/snap*.jpg; for i in 0 1 2 3 4 5 6 7; do echo "frame $$i"; java -classpath ${PATHTOROOT} com.pixelmed.display.PlotGraph ~/work/nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx 512 12 12 $$i; mv ~/snap*.jpg frame_$$i.jpg; done

testspectrum.dcm:	Makefile
	rm -f /tmp/crap.empty
	touch /tmp/crap.empty
	${PATHTODCTOOLS}/appsrc/dcfile/dccp /tmp/crap.empty testspectrum.dcm \
		-r NumberOfFrames 8 -r Rows 12 -r Columns 12 -r DataPointRows 1 -r DataPointColumns 512 \
		-r DataRepresentation COMPLEX -r SignalDomainColumns FREQUENCY \
		-r PatientID 1234 -r StudyID 1234 -r SeriesNumber 1 -r InstanceNumber 1 \
		-r Modality MR -r SOPClassUID "1.2.840.10008.5.1.4.1.1.4.2" \
		-nodisclaimer -output-vr explicit -output-endian big
	echo "(0x5600,0x0020) OF Spectroscopy Data VR=<OF> VL=<0x480000> []" | ${PATHTODCTOOLS}/appsrc/acrnema/ancreate -e -b >> testspectrum.dcm
	cat ${PATHTOROOT}/../../nemamfmr/srcimages/ucsfspectra/spectra/spectra/t2256_cor_sum.cmplx >> testspectrum.dcm
	rm /tmp/crap.empty
	
testviewer:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS} \
		com.pixelmed.display.DicomImageViewer

testviewerlimitedmemory:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms128m -Xmx128m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS} \
		com.pixelmed.display.DicomImageViewer

testviewerquaqua:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	if [ ! -L .com.pixelmed.display.DicomImageViewer.images ]; then mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images; fi
	java -Xms512m -Xmx512m -Dswing.defaultlaf=ch.randelshofer.quaqua.QuaquaLookAndFeel -Djava.library.path=${PATHTOADDITIONAL} -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}:${PATHTOADDITIONAL}/quaqua.jar  \
		com.pixelmed.display.DicomImageViewer

testnemamfmrspectrum:	DicomImageViewer.class testspectrum.dcm #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}  \
		com.pixelmed.display.DicomImageViewer testspectrum.dcm

testcharsets:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOHOME}/Pictures/Medical/charsettests/DICOMDIR

testnema97:	DicomImageViewer.class #${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.properties
	mkdir -p ${PATHTOHOME}/.com.pixelmed.display.DicomImageViewer.images
	java -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS}  \
		com.pixelmed.display.DicomImageViewer ${PATHTOHOME}/Pictures/Medical/NEMA97CD/DICOMDIR

testviewerontestimages:	
	(for i in `cat ${PATHTOROOT}/${PATHTODCTOOLSUPPORTFROMROOT}/images/dicom/testlist`; do echo "$$i"; java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${VIEWERADDITIONALJARS} com.pixelmed.display.DicomImageViewer "${PATHTOROOT}/${PATHTODCTOOLSUPPORTFROMROOT}/images/dicom/$$i"; done)

testviewerontestimagesubset:

=== pixelmed/ftp/Makefile ===
PATHTOROOT = ../../..

OBJS = \
FTPApplicationProperties.class \
FTPClientApplicationConfigurationDialog.class \
FTPException.class \
FTPFileSender.class \
FTPRemoteHost.class \
FTPRemoteHostConfigurationDialog.class \
FTPRemoteHostInformation.class \
FTPSecurityType.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/ftp.`date '+%Y%m%d'`.tar.gz

testftpfilesendesecure:	FTPFileSender.class
	echo "Hello, world." >/tmp/testftpfilesendesecure.tmp
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} com.pixelmed.ftp.FTPFileSender \
		ftpstest.forus.com ftp_testing ftp_testing - SECURE RANDOM 1 \
		/tmp/testftpfilesendesecure.tmp
	rm /tmp/testftpfilesendesecure.tmp


testremotehostconfigurationdialog:	${OBJS}
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} \
		com.pixelmed.ftp.FTPRemoteHostConfigurationDialog

testconfigurator:	${OBJS}
	#if [ -f /tmp/testproperties ]; then mv /tmp/testproperties /tmp/testproperties.old; fi
	touch /tmp/testproperties
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} \
		com.pixelmed.ftp.FTPClientApplicationConfigurationDialog /tmp/testproperties
	if [ -f /tmp/testproperties.old ]; then echo "Comparing old properties file with new"; diff /tmp/testproperties.old /tmp/testproperties; fi
	echo "Saved properties file contains ..."
	cat /tmp/testproperties
	#rm -f /tmp/testproperties

=== pixelmed/network/Makefile ===
PATHTOROOT = ../../..

OBJS = \
AAbortPDU.class \
AnyExplicitTransferSyntaxSelectionPolicy.class \
AnyExplicitStorePresentationContextSelectionPolicy.class \
AnyExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
ApplicationEntity.class \
ApplicationEntityConfigurationDialog.class \
ApplicationEntityMap.class \
AReleaseException.class \
AReleasePDU.class \
AssociateRejectPDU.class \
AssociateAcceptPDU.class \
AssociateRequestPDU.class \
AssociateRequestAcceptPDU.class \
Association.class \
AssociationAcceptor.class \
AssociationInitiator.class \
AssociationFactory.class \
AssociationOutputStream.class \
AssociationStatusHandler.class \
CEchoRequestCommandMessage.class \
CEchoResponseCommandMessage.class \
CFindRequestCommandMessage.class \
CFindResponseCommandMessage.class \
CGetRequestCommandMessage.class \
CGetResponseCommandMessage.class \
CMoveRequestCommandMessage.class \
CMoveResponseCommandMessage.class \
CommandMessage.class \
CompositeInstanceStoreAbstractSyntaxSelectionPolicy.class \
CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy.class \
CompositeResponseHandler.class \
CStoreRequestCommandMessage.class \
CStoreResponseCommandMessage.class \
DicomNetworkException.class \
FindSOPClassSCU.class \
GetSOPClassSCU.class \
IdentifierHandler.class \
IdentifierMessage.class \
MessageServiceElementCommand.class \
MoveSOPClassSCU.class \
MultipleInstanceTransferStatusHandler.class \
MultipleInstanceTransferStatusHandlerWithFileName.class \
NetworkApplicationConfigurationDialog.class \
NetworkApplicationInformation.class \
NetworkApplicationInformationFederated.class \
NetworkApplicationProperties.class \
NetworkConfigurationFromLDAP.class \
NetworkConfigurationFromMulticastDNS.class \
NetworkConfigurationSource.class \
NetworkDefaultValues.class \
NetworkMediaImporter.class \
PDataPDU.class \
PresentationAddress.class \
PresentationContext.class \
PresentationContextListFactory.class \
PresentationDataValue.class \
ProbeCapability.class \
ReceivedDataHandler.class \
ReceivedFilePathStrategy.class \
ReceivedObjectHandler.class \
RequestCommandMessage.class \
ResponseStatus.class \
SCUSCPRoleSelection.class \
StorageSOPClassSCP.class \
StorageSOPClassSCPDispatcher.class \
StorageSOPClassSCU.class \
StorageSOPClassSCUPerformanceTest.class \
TestSendingCommandAndDataInOnePDU.class \
TransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitTransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitStorePresentationContextSelectionPolicy.class \
UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
VerificationSOPClassSCU.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../network.`date '+%Y%m%d'`.tar.gz

testprobe:	ProbeCapability.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost 4006 HELGRAY US 0
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost HELGRAY US 0

testconfig:	NetworkConfigurationFromLDAP.class ApplicationEntity.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkConfigurationFromLDAP

testproperties:	NetworkApplicationProperties.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkApplicationProperties ../server/testserver.properties "o=pixelmed,c=us"

testconfigmdns:	NetworkConfigurationFromLDAP.class ApplicationEntity.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.NetworkConfigurationFromMulticastDNS HELGRAY 4006 WSD

testscuperf: StorageSOPClassSCUPerformanceTest.class
	dcsmpte /tmp/testscuperf
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 100 1 0 0 0 /tmp/testscuperf
	rm /tmp/testscuperf

testimporter:	NetworkMediaImporter.class
	mkdir -p /tmp/testimport
	dcsmpte /tmp/testimport/crap
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkMediaImporter \
		localhost 4006 HELGRAY IMPORTER /tmp/testimport
	rm -rf /tmp/testimport

testaedialog:	ApplicationEntityConfigurationDialog.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.ApplicationEntityConfigurationDialog

testconfigurator:	NetworkApplicationConfigurationDialog.class
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testreceivedfilestrategysingle:	ReceivedFilePathStrategySingleFolder.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategySingleFolder

testreceivedfilestrategycomponent:	ReceivedFilePathStrategyComponentFolders.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategyComponentFolders

testreceivedfilestrategyhash:	ReceivedFilePathStrategyHashSubFolders.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ReceivedFilePathStrategyHashSubFolders

testreceivedfilestrategy:	\
	testreceivedfilestrategysingle \
	testreceivedfilestrategycomponent \
	testreceivedfilestrategyhash

testpixelmedsendtopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.1 /tmp/testpixelmedsendtopixelmed.1.dcm
	java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 4006 STORESCP US /tmp/testpixelmedsendtopixelmed.1.dcm 0 0
	@echo "Comparing sent and received files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -rf /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		/tmp/testpixelmedsendtopixelmed.receivedfiles \
		/tmp/testpixelmedsendtopixelmed.1.dcm

testpixelmedsendmultitopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.1 /tmp/testpixelmedsendtopixelmed.1.dcm
	dcsmpte -nodisclaimer -r PatientName testpixelmedsendtopixelmed.2 /tmp/testpixelmedsendtopixelmed.2.dcm
	@echo "/tmp/testpixelmedsendtopixelmed.1.dcm" >/tmp/testpixelmedsendtopixelmed.filelist
	@echo "/tmp/testpixelmedsendtopixelmed.2.dcm" >>/tmp/testpixelmedsendtopixelmed.filelist
	java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 4006 STORESCP US - 0 0 </tmp/testpixelmedsendtopixelmed.filelist
	#ls -l /tmp/testpixelmedsendtopixelmed.receivedfiles
	#cat /tmp/testpixelmedsendtopixelmed.stderr
	@echo "Comparing sent and received 1st files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | tail -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.1.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@echo "Comparing sent and received 2nd files - expect no difference except meta header"
	@receivedfilename=`grep 'sendReceivedObjectIndication() fileName' /tmp/testpixelmedsendtopixelmed.stderr | head -1 | sed -e 's/^.*fileName: //' -e 's/ from .*$$//'`; \
		andiff /tmp/testpixelmedsendtopixelmed.2.dcm "$${receivedfilename}"; \
		dccmp /tmp/testpixelmedsendtopixelmed.2.dcm "$${receivedfilename}"
	@echo "Comparison done"
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -rf /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		/tmp/testpixelmedsendtopixelmed.receivedfiles \
		/tmp/testpixelmedsendtopixelmed.1.dcm \
		/tmp/testpixelmedsendtopixelmed.2.dcm \
		/tmp/testpixelmedsendtopixelmed.filelist

testpixelmedsendmanytopixelmed:
	@rm -rf /tmp/testpixelmedsendtopixelmed.receivedfiles
	@mkdir -p /tmp/testpixelmedsendtopixelmed.receivedfiles
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4006 STORESCP /tmp/testpixelmedsendtopixelmed.receivedfiles INSECURE 0
	@#echo "PID of com.pixelmed.network.StorageSOPClassSCPDispatcher is "`cat /tmp/testpixelmedsendtopixelmed.pid`
	@rm -f /tmp/testpixelmedsendtopixelmed.filelist
	count=0; while [ $${count} -lt 5000 ] ; do dcsmpte -nodisclaimer -r PatientName "testpixelmedsendtopixelmed.$${count}" "/tmp/testpixelmedsendtopixelmed.$${count}.dcm" ; echo "/tmp/testpixelmedsendtopixelmed.$${count}.dcm" >>/tmp/testpixelmedsendtopixelmed.filelist ; count=`expr $${count} + 1` ; done
	#ls -l "/tmp/testpixelmedsendtopixelmed.*.dcm"
	java -cp ${PATHTOROOT} com.pixelmed.network.StorageSOPClassSCU localhost 4006 STORESCP US - 0 0 </tmp/testpixelmedsendtopixelmed.filelist
	@sent=`wc -l </tmp/testpixelmedsendtopixelmed.filelist | sed -e 's/[ ]*//'` ; received=`ls -1 /tmp/testpixelmedsendtopixelmed.receivedfiles | wc -l | sed -e 's/[ ]*//'` ; echo "Sent $${sent}, received $${received} files"

testpixelmedcgetscutopixelmedcgetscp:
	@rm -rf /tmp/testpixelmedcgetscutopixelmedcgetscp.files
	@mkdir -p /tmp/testpixelmedcgetscutopixelmedcgetscp.files
	@rm -rf /tmp/testpixelmedcgetscutopixelmedcgetscp.db.*
	@rm -f testpixelmedcgetscutopixelmedcgetscp.properties
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Application.DatabaseFileName=/tmp/testpixelmedcgetscutopixelmedcgetscp.db"
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Application.SavedImagesFolderName=/tmp/testpixelmedcgetscutopixelmedcgetscp.files"
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Dicom.ListeningPort=4006"
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Dicom.CalledAETitle=TESTGETSCP"
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Dicom.CallingAETitle=TESTGETSCP"
	@echo >> /tmp/testpixelmedcgetscutopixelmedcgetscp.properties "Dicom.StorageSCPDebugLevel=1"
	./runprocessinbackground.sh \
		/tmp/testpixelmedcgetscutopixelmedcgetscp.pid /tmp/testpixelmedcgetscutopixelmedcgetscp.stdout /tmp/testpixelmedcgetscutopixelmedcgetscp.stderr \
		java -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} \
			com.pixelmed.server.DicomAndWebStorageServer /tmp/testpixelmedcgetscutopixelmedcgetscp.properties
	sleep 15
	@#echo "PID of com.pixelmed.server.DicomAndWebStorageServer is "`cat /tmp/testpixelmedcgetscutopixelmedcgetscp.pid`
	dcsmpte -nodisclaimer -r PatientName testpixelmedcgetscutopixelmedcgetscp /tmp/testpixelmedcgetscutopixelmedcgetscp.dcm

=== pixelmed/server/Makefile ===
PATHTOROOT = ../../..

OBJS = \
DicomAndWebStorageServer.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../server.`date '+%Y%m%d'`.tar.gz

testserver:	${OBJS}
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer testserver.properties

testservernoargs:	${OBJS}
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer

testserverwithjaronly:
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}/pixelmed.jar:${PATHTOADDITIONAL}/aiviewer.jar:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer testserver.properties

graymaxserver:
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}/pixelmed.jar:${PATHTOADDITIONAL}/aiviewer.jar:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer graymax.properties

=== pixelmed/test/Makefile ===
PATHTOROOT = ../../..

OBJS = \
TestCodingScheme_AllTests.class \
TestCodingSchemeIdentification.class \
TestCommonDoseObserverContext.class \
TestCompositeInstanceContext_AllTests.class \
TestCompositeInstanceContext.class \
TestCTAcquisitionParameters.class \
TestCTDose_AllTests.class \
TestCTDose.class \
TestCTDoseAcquisition.class \
TestCTIrradiationEventDataFromImages.class \
TestCTScanType.class \
TestCTPhantomType.class \
TestDeviceParticipant.class \
TestPersonParticipant.class \
TestRecordingDeviceObserverContext.class \
TestRoleInOrganization.class \
TestRoleInProcedure.class \
TestScanRange.class \
TestScopeOfDoseAccummulation.class \
TestSourceOfDoseInformation.class \
TestSafePrivate_AllTests.class \
TestSafePrivatePhilipsPETRelated.class \
TestSafePrivatePhilipsDoseRelated.class \
TestSafePrivateGEDoseRelated.class \
TestSafePrivateGEPACSRelated.class \
TestSafePrivateGEMRRelated.class \
TestSafePrivateNQResultsRelated.class \
TestAttributeList_AllTests.class \
TestPrivateCreatorValueRepresentation.class \
TestContentItem_AllTests.class \
TestCodeContentItemValueMatching.class \
TestCharacterSet_AllTests.class \
TestCharacterSetStringAttribute.class \
TestCharacterSetTextAttribute.class \
TestCleaner_AllTests.class \
TestCleanerReceiveAndClean.class \
TestAnatomy_AllTests.class \
TestAnatomyConcept.class \
TestAnatomyCombined.class \
TestAnatomyFind.class \
TestLaterality.class \
TestGeometry_AllTests.class \
TestGeometryOfSlice.class \
TestDecimalStringAttributeLocaleEffect.class \
TestDecimalStringAttribute_AllTests.class \
TestDicomDirectory_AllTests.class \
TestDicomDirectoryRecordFactory.class \
TestDicomDirectoryRecordSortOrder.class \
TestDicomNetwork_AllTests.class \
TestCStore.class \
TestCStore_ConvertTransferSyntaxes.class \
TestFloatFormatterLocaleEffect.class \
TestFloatFormatter_AllTests.class \
TestNumericContentItemFloatingAndRational.class \
TestNumericContentItemLocaleEffect.class \
TestRemoveIdentifyingAttributes.class \
TestPatientAgeWhenRemoveIdentifyingAttributes.class \
TestRemoveIdentifyingAttributes_AllTests.class \
TestSpatialCoordinatesContentItemLocaleEffect.class \
TestSpatialCoordinates3DContentItemLocaleEffect.class \
TestSUVTransformValues.class \
TestSUVTransform_AllTests.class \
TestUnknownAttributeBinaryValueExtraction.class \
TestUnknownAttribute_AllTests.class \
TestUUIDBasedOID_AllTests.class \
TestUUIDBasedOID.class \
TestBase64_AllTests.class \
TestBase64_RoundTrip.class \
TestAgeCalculation.class \
TestDates_AllTests.class \
TestDateTimeAttribute_AllTests.class \
TestDateTimeAttributeTimeSinceEpochExtraction.class \
TestDateTimeAttributeTimeZone.class \
TestSequenceAttributeDelimitedString.class \
TestSequenceAttributeStringsWithinItems.class \
TestSequenceAttributeModifiedOriginalAttributes.class \
TestSequenceAttribute_AllTests.class \
TestStructuredReport_AllTests.class \
TestStructuredReport_XMLRepresentation.class \
TestThreadUtilitiesEventDispatchThread.class \
TestThreadUtilities_AllTests.class \
TestDatabase_AllTests.class \
TestDatabaseDateTimeConversionInsertion.class \
TestMultiFrameImageFactory_AllTests.class \
TestMultiFrameImageFactoryDateTime.class \
TestColorConversions_AllTests.class \
TestColorConversions_SRGB_CIELabPCS.class \
TestAttributeListReadTerminationStrategy.class \
TestRepairAttributeValues_AllTests.class \
TestRepairAttributeValues.class \
TestCodedSequenceItem_AllTests.class \
TestCodedSequenceItemParseStringTuple.class \
TestPackBits_AllTests.class \
TestPackBits_UnPack.class \
TestCapabilitiesAbsent_AllTests.class \
TestCapabilitiesPresent_AllTests.class \
TestCapabilitiesCodecsAbsent.class \
TestCapabilitiesCodecsPresent.class \
TestDicomStreamCopier_AllTests.class \
TestDicomStreamCopier_ConvertTransferSyntaxes.class \
TestDecompressedImagePixelModuleAndLossyImageCompressionHistory.class \
TestUnknownSequenceValueRepresentation.class \
UserInterfaceUtilities.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../test.`date '+%Y%m%d'`.tar.gz

clean:
	rm -f *~ *.class core *.bak ${OBJS} testcleanerfile.dcm

alltests:	testdicomstreamcopier testcolorconv testsr testdatetime testsuv testfloatformatter testdecimalstring testunkown testctdose testcompositecontext testsafeprivate testremoveid testattributelist \
			testcontentitem testcodingscheme testcharset testcleaner testanatomy testgeometry testdicomdir testnetwork testuuid testbase64 testdates testsequence \
			testthread testdatabase testmultiframe testrepair testcodedsequenceitem testpackbits testcapabilitiespresent testcapabilitiesabsent

testdicomstreamcopier:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomStreamCopier_AllTests

testcapabilitiespresent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${JPEGBLOCKREDACTIONJAR}:${BZIP2ADDITIONALJAR}:${JIIOADDITIONALJARS} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesPresent_AllTests

testcapabilitiesabsent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesAbsent_AllTests

testpackbits:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestPackBits_AllTests
			
testcodedsequenceitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodedSequenceItem_AllTests
			
testcolorconv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestColorConversions_AllTests
			
testmultiframe:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${VECMATHADDITIONALJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestMultiFrameImageFactory_AllTests

testdatetime:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDateTimeAttribute_AllTests

testsuv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestSUVTransform_AllTests

testfloatformatter:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestFloatFormatter_AllTests

testdecimalstring:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDecimalStringAttribute_AllTests

testunkown:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestUnknownAttribute_AllTests

testctdose:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCTDose_AllTests

testcompositecontext:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCompositeInstanceContext_AllTests

testsafeprivate:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true -Dcom.pixelmed.test.filepath=${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/SafePrivateTestImages org.junit.runner.JUnitCore com.pixelmed.test.TestSafePrivate_AllTests

testremoveid:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestRemoveIdentifyingAttributes_AllTests

testattributelist:	${OBJS}
	rm -f testcstorefile_*.dcm
	cp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG12/GE_VingMed/GEMS_IMG/2001_DEC/10/3M181115/2929IUO2" testcstorefile_jpegbaseline.dcm
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestAttributeList_AllTests
	rm testcstorefile_*.dcm

testcontentitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestContentItem_AllTests

testcodingscheme:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodingScheme_AllTests

testcharset:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCharacterSet_AllTests

testcleaner:	TestCleaner_AllTests.class TestCleanerReceiveAndClean.class UserInterfaceUtilities.class
	rm -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner
	if [ -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties ]; then cp $${HOME}/.com.pixelmed.display.DicomCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner; fi
	cp TestCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties
	mkdir -p ./tmp/TestCleanerReceiveAndClean
	rm -rf ./tmp/TestCleanerReceiveAndClean/*
	rm -f testcleanerfile_pre.dcm testcleanerfile.dcm
	dcsmpte testcleanerfile.dcm \
		-nodisclaimer \
		-r PatientName             "Test^OriginalName" \
		-r PatientID               "TESTORIGINALID" \
		-r AccessionNumber         "TESTORIGINALNUM" \
		-r StudyID			       "TESTORIGINALID" \
		-r InstitutionName         "Original Institution" \
		-r DeviceSerialNumber      "Original Serial Number" \
		-r PatientWeight           "57.5" \
		-r PatientSize             "175" \
		-r PatientSex              "F" \
		-r PatientAge              "041Y" \
		-r PatientBirthDate        "19700214" \
		-r StudyDescription        "Original Study Description" \
		-r SeriesDescription       "Original Series Description" \
		-r ImageComments           "Original Image Comment" \
		-r SOPInstanceUID          "1.3.6.1.4.1.5962.1.1.0.0.0.1298308902.23788.0" \
		-r SeriesInstanceUID       "1.3.6.1.4.1.5962.1.3.0.0.1298308902.23788.0" \
		-r StudyInstanceUID        "1.3.6.1.4.1.5962.1.2.0.1298308902.23788.0" \
		-r ClinicalTrialProtocolID "TESTORIGINALID" \
		-r '(0x0029,0x0010)'       "SIEMENS MED DISPLAY " \
		-r '(0x0029,0x1099)'        "UnsafeOriginalPrivateValue" \
		-r '(0x01E1,0x0010)'       "ELSCINT1" \
		-r '(0x01E1,0x1026)'       "SAFEPHANTOMTYPE "
	#dccp -nodisclaimer testcleanerfile_pre.dcm testcleanerfile.dcm # in order to set correct explicit VR of private attributes to allow pixelmed to see values as strings not UN
	#rm testcleanerfile_pre.dcm
	#dciodvfy testcleanerfile.dcm
	# do NOT use VIEWERADDITIONALJARS, which includes jmdns, and make cause default send target to not be the desired target (000615)
	java -cp ${PATHTOROOT}:${DISPLAYADDITIONALJARS}:${DATABASEADDITIONALJARS}:${JUNITJAR} org.junit.runner.JUnitCore com.pixelmed.test.TestCleaner_AllTests
	rm testcleanerfile.dcm
	#rm -r ./tmp/TestCleanerReceiveAndClean
	if [ -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner ]; then cp $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner $${HOME}/.com.pixelmed.display.DicomCleaner.properties; else rm -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties; fi

testanatomy:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestAnatomy_AllTests

testgeometry:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${VECMATHADDITIONALJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestGeometry_AllTests

testdicomdir:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomDirectory_AllTests

testnetwork:	${OBJS}
	rm -f testnetworkfile_*.dcm
	dcsmpte testnetworkfile_scevrle.dcm
	cp "$${HOME}/Documents/Medical/stuff/medical.nema.org/MEDICAL/Dicom/DataSets/WG12/GE_VingMed/GEMS_IMG/2001_DEC/11/6M163410/2929J686" testnetworkfile_usrle.dcm
	cp "$${HOME}/Pictures/Medical/MPEG/Video Endoscopic mpeg.dcm" testnetworkfile_endompeg.dcm
	mkdir -p receivedfiles
	rm -rf receivedfiles/*
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomNetwork_AllTests
	rm -rf receivedfiles

=== pixelmed/utils/Makefile ===
PATHTOROOT = ../../..

OBJS = \
ByteArray.class \
CopyStream.class \
DateUtilities.class \
FileUtilities.class \
FloatFormatter.class \
HexDump.class \
JTreeWithAdditionalKeyStrokeActions.class \
MessageLogger.class \
PdfDecoder.class \
PdfException.class \
PhoneticStringEncoder.class \
PhoneticStringEncoderException.class \
PrintStreamMessageLogger.class \
ScrollingTextAreaWriter.class \
Syslog.class \
StringUtilities.class \
MACAddress.class \
XPathQuery.class \
UUIDBasedOID.class \
Base64.class \
FilenameFilterByCaseInsensitiveSuffix.class \
ThreadUtilities.class \
ColorUtilities.class \
CapabilitiesAvailable.class \
FileReaper.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

# override javac command in Makefile.common.mk to add jars needed for CapabilitiesAvailable
.java.class:
	export JAVAVERSIONTARGETJARFILE=`/usr/libexec/java_home -v 1.7 | tail -1`/jre/lib/rt.jar; javac ${JAVACOPTIONS} \
		-classpath ${PATHTOROOT}:${JPEGBLOCKREDACTIONJAR} \
		-sourcepath ${PATHTOROOT} $<

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../utils.`date '+%Y%m%d'`.tar.gz

test:	testStringUtilities

testStringUtilities:	StringUtilities.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.StringUtilities

testByteArray:	ByteArray.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.ByteArray

testSyslog:	Syslog.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.Syslog

testMACAddress:	MACAddress.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.MACAddress

testxpathquery.xml:
	rm -f $@
	echo >>$@ '<?xml version="1.0" encoding="UTF-8"?>'
	echo >>$@ '	<DicomObject>'
	echo >>$@ '		<ImageType element="0008" group="0008" vr="CS">'
	echo >>$@ '			<value number="1">ORIGINAL</value>'
	echo >>$@ '			<value number="2">PRIMARY</value>'
	echo >>$@ '			<value number="3">CINE</value>'
	echo >>$@ '			<value number="4">NONE</value>'
	echo >>$@ '		</ImageType>'
	echo >>$@ '		<ContrastBolusAgentSequence element="0012" group="0018" vr="SQ">'
	echo >>$@ '		  <Item number="1">'
	echo >>$@ '		    <CodeValue element="0100" group="0008" vr="SH">'
	echo >>$@ '		      <value number="1">C-17800</value>'
	echo >>$@ '		    </CodeValue>'
	echo >>$@ '		  </Item>'
	echo >>$@ '		</ContrastBolusAgentSequence>'
	echo >>$@ '</DicomObject>'

testxpathquery:	XPathQuery.class testxpathquery.xml
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "/DicomObject/ImageType"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "/DicomObject/ImageType/value"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "/DicomObject/ImageType/value[@number=1]"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "//ImageType/value[@number=1]"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "//ImageType/value[@number=1] = 'ORIGINAL'"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "/DicomObject/ContrastBolusAgentSequence/Item[@number=1]/CodeValue/value[@number=1]"
	java -cp ${PATHTOROOT} com.pixelmed.utils.XPathQuery testxpathquery.xml "//ContrastBolusAgentSequence/Item/CodeValue/value"
	rm -f testxpathquery.xml

testfloatformatter:	FloatFormatter.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.FloatFormatter

testcolorutilities:	ColorUtilities.class
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities sRGB8toCIELab16 0 0 0
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities sRGB8toCIELab16 0x0 0x0 0x0
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities sRGB8toCIELab16 255 255 255
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities sRGB8toCIELab16 0xff 0xff 0xff
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities CIELab16tosRGB8 0 32896 32896
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities CIELab16tosRGB8 0x0 0x8080 0x8080
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities CIELab16tosRGB8 65535 32897 32893
	java -cp ${PATHTOROOT} com.pixelmed.utils.ColorUtilities CIELab16tosRGB8 0xffff 0x8081 0x807d

testcapabilitiesjrealone:	CapabilitiesAvailable.class
	java -cp ${PATHTOROOT} -Djava.awt.headless=true com.pixelmed.utils.CapabilitiesAvailable

testcapabilitiesjiionontative:	CapabilitiesAvailable.class
	java -cp ${PATHTOROOT}:${JIIOADDITIONALJARS} -Djava.awt.headless=true com.pixelmed.utils.CapabilitiesAvailable

=== pixelmed/validate/Makefile ===
PATHTOROOT = ../../..

OBJS = \
	DicomInstanceValidator.class \
	DicomIODDescriptionsCompiled.xsl \
	DicomSRValidator.class \
	DicomSRDescriptionsCompiled.xsl

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak ${OBJS} DicomIODDescriptionsCompiled.xsl DicomSRDescriptionsCompiled.xsl

archive:
	tar -cvf - Makefile *.java *.xml *.xsl | gzip -best > ../../../validate.`date '+%Y%m%d'`.tar.gz

DicomIODDescriptionsCompiled.xsl:	DicomIODDescriptionsSource.xml CompileDicomIODDescriptionsIntoXSLT.class ExecuteTranslet.class
	java \
		-Xms512m -Xmx512m \
		-cp ${PATHTOROOT} \
		com.pixelmed.validate.ExecuteTranslet CompileDicomIODDescriptionsIntoXSLT.xsl DicomIODDescriptionsSource.xml DicomIODDescriptionsCompiled.xsl
	#rm ExecuteTranslet.class

CompileDicomIODDescriptionsIntoXSLT.class:	CompileDicomIODDescriptionsIntoXSLT.xsl CompileXSLTIntoTranslet.class
	java \
		-Xms512m -Xmx512m \
		-cp ${PATHTOROOT} \
		com.pixelmed.validate.CompileXSLTIntoTranslet CompileDicomIODDescriptionsIntoXSLT.xsl
	#rm CompileXSLTIntoTranslet.class

testvalidate:	DicomInstanceValidator.class DicomIODDescriptionsCompiled.xsl
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomInstanceValidator \
		${PATHTOHOME}/work/nemamfmr/DISCIMG/IMAGES/CARANGIO \
		DicomIODDescriptionsCompiled.xsl

DicomSRDescriptionsCompiled.xsl:	DicomSRDescriptionsSource.xml CompileDicomSRDescriptionsIntoXSLT.class ExecuteTranslet.class
	java \
		-Xms512m -Xmx512m \
		-cp ${PATHTOROOT} \
		com.pixelmed.validate.ExecuteTranslet CompileDicomSRDescriptionsIntoXSLT.xsl DicomSRDescriptionsSource.xml DicomSRDescriptionsCompiled.xsl
	#rm ExecuteTranslet.class

CompileDicomSRDescriptionsIntoXSLT.class:	CompileDicomSRDescriptionsIntoXSLT.xsl DicomContextGroupsSource.xml CompileXSLTIntoTranslet.class
	java \
		-Xms512m -Xmx512m \
		-cp ${PATHTOROOT} \
		com.pixelmed.validate.CompileXSLTIntoTranslet CompileDicomSRDescriptionsIntoXSLT.xsl
	#rm CompileXSLTIntoTranslet.class

testvalidatesr:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/12946
	echo "Copy MammoCADSR into BasicTextSR SOP Class and validate ..."
	dccp ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/12946 /tmp/crap \
		-nodisclaimer -r SOPClassUID "1.2.840.10008.5.1.4.1.1.88.11"
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 /tmp/crap
	echo "Copy MammoCADSR into EnhancedSR SOP Class and validate ..."
	dccp ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/12946 /tmp/crap \
		-nodisclaimer -r SOPClassUID "1.2.840.10008.5.1.4.1.1.88.22"
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 /tmp/crap
	echo "Copy MammoCADSR into ComprehensiveSR SOP Class and validate ..."
	dccp ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/12946 /tmp/crap \
		-nodisclaimer -r SOPClassUID "1.2.840.10008.5.1.4.1.1.88.33"
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 /tmp/crap
	echo "Validate ChestCADSR masquerading as Comprehensive ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/132214_11508_0000000008.sr
	echo "Copy ChestCADSR masquerading as Comprehensive into ChestCADSR SOP Class and validate ..."
	dccp ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/132214_11508_0000000008.sr /tmp/crap \
		-nodisclaimer -r SOPClassUID "1.2.840.10008.5.1.4.1.1.88.65"
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 /tmp/crap
	echo "Validate DoseSR masquerading as Enhanced ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/Pictures/Medical/DoseSR/getestctinenhsr.dcm
	echo "Copy DoseSR masquerading as Comprehensive into ChestCADSR SOP Class and validate ..."
	dccp  ${PATHTOHOME}/Pictures/Medical/DoseSR/getestctinenhsr.dcm /tmp/crap \
		-nodisclaimer -r SOPClassUID "1.2.840.10008.5.1.4.1.1.88.67"
	java -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 /tmp/crap
	rm -f /tmp/crap

testvalidateko:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original KOS ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		${PATHTOHOME}/Pictures/Medical/SRExamples/IHEPDI2005/GE/PAT00000/ST000000/SE000004/KO000000

testvalidateko2:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original KOS ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		${PATHTOHOME}/Pictures/Medical/KOFromPDI2004/STD3KO1

testvalidatetcemanifest1:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate TCE manfiest KOS ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		${PATHTOHOME}/Pictures/Medical/TCE/KO.1.2.276.0.7230010.3.1.4.6446.1145570765726.32791.4.dcm

testvalidatetcemanifest2:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate TCE manfiest KOS ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		${PATHTOHOME}/Pictures/Medical/TCE/testKOS13.dcm

testvalidatetceaddinfo:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate TCE manfiest KOS ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		${PATHTOHOME}/Pictures/Medical/TCE/testATFI13.dcm

testvalidatemammocad:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/work/dctool.support/images/dicom/sr/mammocad/12946

testvalidatemammocad2:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/Pictures/Medical/MammoCAD/MammoCADSRAndImages/CD0905120932_Cleaned_I1_SR.dcm

testvalidatemammocad3:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/Pictures/Medical/MammoCAD/MammoCADSRAndImages/srFilesCopied/1.2.840.114191.3.5399.5883513.1.2.1.1354633124

testvalidatemammocad4:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/Pictures/Medical/MammoCAD/MammoVolparaDensity/SRm.1.2.826.0.1.3680043.8.694.1.4.130606205.3696.1351472766.575.dcm

testvalidatechestcad:	DicomSRValidator.class DicomSRDescriptionsCompiled.xsl
	echo "Validate original MammoCADSR ..."
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomSRValidator \
		 ${PATHTOHOME}/Pictures/Medical/ChestCAD/R2CAD/New/IMAGES/P02/092241_5215_0000000002.sr

testvalidatelegacyct:	DicomInstanceValidator.class DicomIODDescriptionsCompiled.xsl
	mkdir -p /tmp/testtoenhanced
	rm -rf /tmp/testtoenhanced/*
	java -Xms3g -Xmx3g -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar com.pixelmed.dicom.MultiFrameImageFactory \
		"/Volumes/CluniePortable1TB1/Pictures/Medical/TCIA/RIDERLungCT/RIDER Lung CT/RIDER-1129164940/1.3.6.1.4.1.9328.50.1.216116555221814778114703363464001196508/000001" /tmp/testtoenhanced
		#"$${HOME}/Pictures/Medical/PETCTPhilips/PET-CT/CT" /tmp/testtoenhanced
		#"$${HOME}/Documents/Work/QIBA/CT/QIBA_1B_RadPharm/RoundOne/Recontexted/107166 [RIDER 2151469008]/20070208 000000/Series 103 [CT]" /tmp/testtoenhanced
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomInstanceValidator \
		`ls -1d /tmp/testtoenhanced/* | head -1` \
		DicomIODDescriptionsCompiled.xsl
	$${HOME}/work/dicom3tools/appsrc/dcfile/dciodvfy `ls -1d /tmp/testtoenhanced/* | head -1`
	#rm -rf /tmp/testtoenhanced/*

testvalidatelegacymr:	DicomInstanceValidator.class DicomIODDescriptionsCompiled.xsl
	mkdir -p /tmp/testtoenhanced
	rm -rf /tmp/testtoenhanced/*
	java -Xms3g -Xmx3g -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/commons-codec-1.3.jar com.pixelmed.dicom.MultiFrameImageFactory \
		"$${HOME}/Pictures/Medical/QIICRDICOMSampleData/BWH-QIN_SF/5-AX_T2" /tmp/testtoenhanced
		#"$${HOME}/Pictures/Medical/QIICRDICOMSampleData/BWH-QIN_SF/9-3D_DCE" /tmp/testtoenhanced
		#"$${HOME}/Pictures/Medical/ParametricMaps/PkModeling_verification/PCAMPMRI-0241/PCAMPMRI-0241-DCE" /tmp/testtoenhanced
		#"$${HOME}/Pictures/Medical/MRBrainArtifactPropagatedToMPRSMistakenAsDVA/20131031_MRBrain/ThoroughlyCleaned/hier/RealOrArtifact^BrainMR [74659465245]/20110907 040037 []/Series 009 [MR - AX T1 3D]" \
		#	"$${HOME}/Pictures/Medical/MRBrainArtifactPropagatedToMPRSMistakenAsDVA/20131031_MRBrain/ThoroughlyCleaned/hier/RealOrArtifact^BrainMR [74659465245]/20110907 040037 []/Series 011 [MR - AX T1 FS 3D GAD]" \
		#	/tmp/testtoenhanced
		#"$${HOME}/Pictures/Medical/MRDualEcho/BrainSpinEcho/deid/DICOM" /tmp/testtoenhanced
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomInstanceValidator \
		`ls -1d /tmp/testtoenhanced/* | head -1` \
		DicomIODDescriptionsCompiled.xsl
	$${HOME}/work/dicom3tools/appsrc/dcfile/dciodvfy `ls -1d /tmp/testtoenhanced/* | head -1`
	#rm -rf /tmp/testtoenhanced/*

testvalidateseg:	DicomInstanceValidator.class DicomIODDescriptionsCompiled.xsl
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomInstanceValidator \
		$${HOME}/Pictures/Medical/QIICRDICOMSampleData/Iowa-QIN/cerebellum.dcm

testvalidatesegatlas:	DicomInstanceValidator.class DicomIODDescriptionsCompiled.xsl
	java  -Xms512m -Xmx512m -cp ${PATHTOROOT}:${DICOMADDITIONALJARS} \
		com.pixelmed.validate.DicomInstanceValidator \
		"/Volumes/My Book/Pictures/Medical/QIICRDICOMSampleData/seg2013_nac_hncma_20140624/seg2013_nac_hncma.dcm"

=== debian/changelog ===
pixelmed (20150917-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Do not set bootclasspath
    Closes: #874150
  * debhelper 10
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 15 Sep 2017 11:54:28 +0200

pixelmed (20150917-1) unstable; urgency=medium

  * New upstream version (Build-Depends: libpixelmed-codec-java)
  * Added myself to uploaders
  * cme fix dpkg-control
  * Add Build-Depends: libcommons-compress-java, libjsonp-java
  * Ignore failed build time tests

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jan 2016 15:05:06 +0100

pixelmed (20140816-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libcommons-net-java (>= 3). (Closes: #800762)
  * debian/patches: Replace occurrences of commons-net2 with commons-net.

 -- Markus Koschany <apo@debian.org>  Sat, 23 Apr 2016 11:23:28 +0200

=== debian/control ===
Source: pixelmed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: default-jdk,
                     javahelper,
                     junit4,
                     libcommons-codec-java,
                     libcommons-net-java (>= 3),
                     libcommons-compress-java,
                     libhsqldb-java,
                     libjmdns-java (>= 3.4),
                     libvecmath-java,
                     libpixelmed-codec-java,
                     libjsonp-java
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pixelmed.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/pixelmed.git
Homepage: http://www.pixelmed.com

Package: libpixelmed-java
Architecture: all
Section: java
Depends: ${java:Depends},
         ${misc:Depends}
Suggests: libjai-imageio-core-java,
          libpixelmed-java-doc
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.

Package: libpixelmed-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         doc-base
Suggests: libpixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - doc
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the documentation package for libpixelmed-java

Package: pixelmed-apps
Architecture: all
Section: utils
Depends: ${misc:Depends},
         default-jre-headless,
         libpixelmed-java (= ${binary:Version}),
         java-wrappers
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide command line applications for using pixelmed

Package: pixelmed-webstart-apps
Architecture: all
Section: utils
Depends: ${misc:Depends},
         libpixelmed-java (= ${binary:Version})
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide JNLP applications as command line apps

Package: pixelmed-www
Architecture: all
Section: web
Depends: ${misc:Depends},
         pixelmed-webstart-apps (= ${binary:Version})
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the web package. Depends on JNLP applications, provides HTML pages

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java

VERSION = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) javadoc

# See #568897
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(MAKE) -C com/pixelmed/test alltests || true
endif

override_dh_auto_install:
	# FIXME: isn't there something easier:
	cp sample.com.pixelmed.display.DicomImageViewer.properties .com.pixelmed.display.DicomImageViewer.properties 
	# executable-not-elf-or-script ./etc/pixelmed/.com.pixelmed.display.DicomImageViewer.properties
	chmod -x .com.pixelmed.display.DicomImageViewer.properties 
	dh_auto_install

override_dh_clean:
	dh_clean com/pixelmed/test/tmp/TestCleanerReceiveAndClean/1.3.6.1.4.1.5962.99.1.4198289672.2040812585.1361407987975.4.0
	dh_clean BUILDDATE
	dh_clean manifest.txt
	dh_clean .com.pixelmed.display.DicomImageViewer.properties
	# doc package:
	rm -rf docs

debian/%.1:
	help2man --name="Works with DICOM files" --no-discard-stderr --output=$@ --no-info `basename $@ .1`

pixelmed_manpages: debian/DicomSRValidator.1 debian/ImageToDicom.1 debian/NIfTI1ToDicom.1 debian/NRRDToDicom.1 debian/PDFToDicomImage.1 debian/StructuredReport.1 debian/VerificationSOPClassSCU.1
	echo "all manpages done"

debian/%.desktop: webstart/%.jnlp debian/jnlp2desktop.xsl
	# create .desktop file:
	xsltproc --stringparam pixelmed_version $(VERSION) -o $@ debian/jnlp2desktop.xsl $<

debian/%: webstart/%.jnlp debian/jnlp2script.xsl debian/%.desktop 
	# script wrapper:
	xsltproc --stringparam pixelmed_version $(VERSION) -o $@ debian/jnlp2script.xsl $<
	chmod +x $@

pixelmed_webapps: debian/DicomImageBlackout debian/MediaImporter debian/WatchFolderAndSend debian/DicomImageViewer debian/ConvertAmicasJPEG2000FilesetToDicom debian/DicomCleaner debian/DoseUtility
	echo "all shell script wrappers done"

get-orig-source:
	./debian/get-orig-source
